.cal-monthview {
    color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
}

.cal-monthview-inner th {
	border-top: none;
    text-align: center;
    vertical-align: middle;
}

.cal-monthview-wkcell {
    border-right: 3px double #E1E1E1;
    text-align: center;
    vertical-align: middle;
    /*background:#F0F0F0 url(../../library/ExtJS/resources/images/default/toolbar/bg.gif) repeat-x scroll left top;*/
    background-color: #F0F0F0;
    border-color:#D0D0D0;
}

.cal-monthview-wkcell:hover{
	background: #CDDCEF url(../../library/ExtJS/resources/images/default/toolbar/bg.gif) repeat-x scroll left top;
	/*cursor: pointer; see ticket #1484*/
}

.cal-monthview-wkcell-header {
    border-right: 3px double #E1E1E1;
}

.cal-monthview-daycell {
	vertical-align: top;
	border-right: 1px solid #E1E1E1;
    border-top: 1px solid #E1E1E1;
}

.cal-monthview-dayheader:hover {
    background: #CDDCEF url(../../library/ExtJS/resources/images/default/toolbar/bg.gif) repeat-x scroll left top;
    /*cursor: pointer; see ticket #1484*/
}

.cal-monthview-inner-header,
cal-monthview-wkcell-header {
    position: relative;
    background:#F9F9F9 url(../../library/ExtJS/resources/images/default/grid/grid3-hrow.gif) repeat-x scroll 0 top;
    height: 23px;
}

.cal-monthview-dayheader {
	position: relative;
    width: 100%;
}

.cal-monthview-dayheader-more {
    position: absolute;
    padding: 2px 5px;
    border-collapse: separate;
    color: #233D6D;
    cursor: pointer;
    text-align: left !important;
}

.cal-monthview-dayheader-date {
	padding: 2px 5px;
	border-collapse: separate;
	color: #233D6D;
	/*cursor: pointer; see ticket #1484*/
	text-align: right !important;
}

.cal-monthview-daybody {
    /*overflow: visible;*/
}

/*********************************** Events ***********************************/
.cal-monthview-eventslice {
    height: 18px;
    overflow: visible;
}

.cal-monthview-event-icon,
.cal-monthview-alldayevent-icon {
    width: 16px;
    height: 16px;
}

.cal-monthview-event {
	margin: 0px 0px;
	width: 100%;
	cursor: pointer;
	/*overflow: hidden;*/
}

.cal-monthview-eventslice .cal-monthview-event-editgrant {
    cursor: move;
}

.cal-monthview-event-summary {
    white-space: nowrap;
    overflow: hidden;
}



.cal-monthview-alldayevent {
	border-radius: 8px;
	margin: 0px 0px 1px 0px;
	background-color: red;
	height: 17px;
	width: 100%;
	/*overflow: visible;*/
}

.ext-gecko .cal-monthview-alldayevent {
    -moz-border-radius: 8px;
}

.ext-safari .cal-monthview-alldayevent {
    -webkit-border-radius: 8px;
}

/** todo: add khtml switch **/
.cal-monthview-alldayevent {
    -khtml-border-radius: 8px;
}

.cal-monthview-alldayevent-cropleft {
	margin-left: 0px;
    border-left-style: none;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.ext-gecko .cal-monthview-alldayevent-cropleft {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-bottomleft: 0px;
}

.ext-safari .cal-monthview-alldayevent-cropleft {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-bottom-left-radius: 0px;
}

/** todo: add khtml switch **/
.cal-monthview-alldayevent-cropleft {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-bottom-left-radius: 0px;
}

.cal-monthview-alldayevent-cropright {
	margin-right: 0px;
    background-image: none;
    border-right-style: hidden;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.ext-gecko .cal-monthview-alldayevent-cropright {
    -moz-border-radius-topright: 0px;
    -moz-border-radius-bottomright: 0px;
}

.ext-safari .cal-monthview-alldayevent-cropright {
    -webkit-border-top-right-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-monthview-alldayevent-cropright {
    -khtml-border-top-right-radius: 0px;
    -khtml-border-bottom-right-radius: 0px;
}

.cal-monthview-alldayevent-summary {
    white-space: nowrap;
    overflow: hidden;
    min-height: 12px;
    /*overflow: visible; */
}

.cal-monthview-event-info-hide {
	display: none;
}

.cal-monthview-daypreviewbox .cal-monthview-event-info-hide {
	display: block;
}

/******************************* daypreviewbox ********************************/
.cal-monthview-daypreviewbox {
	position: absolute;
	border-bottom: 1px solid #E1E1E1;
	overflow-y: auto;
	overflow-x: hidden;
	z-index: 5000;
}